Kerbal Space Program - Bug #23984

Shadows changing when zooming in and out and turning around the target
10/19/2019 12:43 PM - Anth12

Status: Updated Start date: 10/20/2019
Severity: Low % Done: 10%
Assignee: victorr

Category: Camera

Target version:

Version: 1.8.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

KSP 1.7.3 + MH + BG
KSP 1.8.0 + MH + BG

The video will show the issue. Doesnt happen in 1.7.3

https://youtu.be/ysDiwgPOD0o

Save was created in 1.7.3 for comparison if need be.

History

#1 - 10/20/2019 03:19 AM - jclovis3

- Status changed from New to Need More Info

| believe this is due to a graphics rendering feature in Unity that allows you to have low poly graphics when you zoom out to allow for the rendering of
other objects. Similar to how games show trees and mountains in the distance that gain detail when you get closer.

Please review https://docs.unity3d.com/Manual/LevelOfDetail.html

If you believe this is still a bug with this understanding of a performance related feature, please explain and update status.

#2 - 10/20/2019 06:26 AM - Anth12
- Status changed from Need More Info to Updated
- % Done changed from 0 to 10

Level of Detail in the case of that document talks about the detail of a GameObject within a particular Scene.

In this case the GameObject would be the craft or the kerbal, or a tree, or the rocks etc.
The Scene is the planetary surface.

The following Video is of 1.7.3 of the same quick save...

Note the following:

The Scene has shadows which do not change on movement of the camera

But the craft or GameObject that is on the hill is casting a long shadow which does change on movement of the camera.

https://youtu.be/bx-VJgX90Fo

1.8 is in part about improving the graphics of the game, but the video shows that the shadows of the Scene are actually better in 1.7.3 than in 1.8.0
The changing of a planetary shadow is way too obvious in my opinion and breaks the immersion of the game.

#3 - 10/21/2019 06:03 PM - jclovis3

You don't understand Unity. The scene is the virtual area that all game objects are contained in. Games with levels often have a new scene designed
for each level and the player's game object is just moved from one scene to another. In the case of anything having to do with shadows casting upon
other objects, every object is a game object (it inherits from the GameObject class). The Level of Detail (LOD) can change with regard to shadows
just as it does with poly count to increase speed of drawing. The planet is a Game Object because it has a collision surface for your aircraft to impact.
It does cast a shadow but it is not very important that every detail of your ship continue to cast a shadow at longer ranges so these are features to
improve performance.
#4 - 10/21/2019 06:39 PM - Lupi

jclovis3 wrote:

| believe this is due to a graphics rendering feature in Unity that allows you to have low poly graphics when you zoom out to allow for the
rendering of other objects. Similar to how games show trees and mountains in the distance that gain detail when you get closer.

Even if it is something to do with LoD on shadows being implemented differently between 1.7.3 and 1.8.0, (which i could see it being), it's still a
change between previous versions which is worth acknowledging or addressing, and certainly worth reporting and not being dismissive of, as you
appear to have a history of being in the tracker.

I'll refer to the last time i was pointed at you changing things.
please refrain from changing the status of other peoples' reports.

You're not the authority on how this game works, or should work, and changing them based on your opinion makes the tracker more of a mess
for everyone.

You don't appear to be a moderator or anything, i've gone and looked to the best of my ability given that i've got elevated perms as a result of being in
a few of the other trackers. Either that, or they really need to figure something out for this place if you are.

#5 - 10/22/2019 06:46 PM - victorr

| have been trying to recreate the issue without success. I've got the same settings and have been to a few different craters on Minmus zooming in
and out. | get some transition, but only at a very far zoom level (looking at the total moon from far away). I'm looking for someone else to be able to
recreate the issue in order to confirm.

#6 - 10/22/2019 06:46 PM - victorr

- Assignee set to victorr

#7 - 10/23/2019 02:23 PM - Anth12
- File screenshot0.png added

;/r;cﬁo;r?’ by default CELESTIAL_BODIES_CAST_SHADOWS = False

In 1.8.0 by default CELESTIAL_BODIES_CAST_SHADOWS = True

| simply turned it off in 1.8.0 and it stopped happening.

| was fixated on the graphics Tab of the settings in KSP that | didnt realise that there was a graphics setting in the General Tab.
Screenshot for where the setting is down the bottom (just to cover all the bases)

#8 - 10/23/2019 03:04 PM - Anth12

Further testing shows that there are still issues, but the main one | was having is way less with that setting off

Files

1-7-3 Shadow Test.sfs 63.3 KB 10/19/2019 Anth12
screenshot6.png 148 KB 10/19/2019 Anth12
settings.cfg 35.1 KB 10/19/2019 Anth12
screenshot0.png 183 KB 10/23/2019 Anth12
